package be.iminds.ilabt.jfed.experimenter_gui.editor.impl;

import be.iminds.ilabt.jfed.experimenter_gui.editor.ToolboxItem;
import be.iminds.ilabt.jfed.experimenter_gui.util.ImageSize;
import be.iminds.ilabt.jfed.experimenter_gui.util.ImageUtil;
import be.iminds.ilabt.jfed.fedmon.webapi.service.json.ResourceClass;

/**
 * User: twalcari
 * Date: 1/10/14
 * Time: 4:34 PM
 */
public class NodeResourceClassToolboxItem extends ToolboxItem {

    private final ResourceClass resourceClass;

    public NodeResourceClassToolboxItem(ResourceClass resourceClass) {
        super(resourceClass.getHrn(), ImageUtil.getNodeDescriptionImage(resourceClass, ImageSize.MEDIUM), resourceClass.getWeightOrZero());
        this.resourceClass = resourceClass;
    }

    public ResourceClass getResourceClass() {
        return resourceClass;
    }
}
